define("mod_interactivevideo/player/dailymotion",["exports","core/event_dispatcher","jquery"],(function(_exports,_event_dispatcher,_jquery){var obj;
/**
   * DailyMotion Player class
   * Documented at https://developers.dailymotion.com/sdk/player-sdk/web/
   * @module     mod_interactivevideo/player/dailymotion
   * @copyright  2024 Sokunthearith Makara <sokunthearithmakara@gmail.com>
   * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
   */let player;Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.default=void 0,_jquery=(obj=_jquery)&&obj.__esModule?obj:{default:obj};var _default=class{constructor(url,start,end){let opts=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};const showControls=opts.showControls||!1,customStart=opts.customStart||!1,node=opts.node||"player";this.type="dailymotion",this.start=start,this.frequency=.27,this.support={playbackrate:!0,quality:!0};const videoId=/(?:https?:\/\/)?(?:www\.)?(?:dai\.ly|dailymotion\.com)\/(?:embed\/video\/|video\/|)([^/]+)/g.exec(url)[1];this.videoId=videoId;var self=this;fetch("https://api.dailymotion.com/video/".concat(videoId,"?fields=thumbnail_720_url")).then((response=>response.json())).then((data=>{self.posterImage=data.thumbnail_720_url})).catch((()=>{}));var ready=!1,dmOptions={video:videoId,params:{startTime:start}};let dailymotion;const dailymotionEvents=async player=>{self.aspectratio=await self.ratio(),showControls&&player.setQuality(480);const state=await player.getState(),totaltime=Number(state.videoDuration.toFixed(2));end=end?Math.min(end,totaltime):totaltime,end=Number(end.toFixed(2)),self.end=end,self.totaltime=totaltime,self.duration=self.end-self.start,self.title=state.videoTitle,player.setSubtitles(null);let tracks=state.videoSubtitlesList;tracks&&tracks.length>0&&(tracks=tracks.map((track=>{const locale=track.split("-")[0],country=track.split("-")[1],displayNames=new Intl.DisplayNames(["".concat(M.cfg.language)],{type:"language"});let label;var _displayNames$of;"auto"==country?label=displayNames.of(locale)+" (Auto)":label=null!==(_displayNames$of=displayNames.of(track))&&void 0!==_displayNames$of?_displayNames$of:track.toUpperCase();return{label:label,code:track}})),self.captions=tracks),(0,_event_dispatcher.dispatchEvent)("iv:playerLoaded",{tracks:tracks,qualities:self.getQualities()});const playerEvents=()=>{player.on(dailymotion.events.VIDEO_SEEKEND,(function(e){(0,_event_dispatcher.dispatchEvent)("iv:playerSeek",e.videoTime)})),player.on(dailymotion.events.VIDEO_END,(function(){player.seek(start),player.pause(),(0,_event_dispatcher.dispatchEvent)("iv:playerEnded")})),player.off(dailymotion.events.VIDEO_TIMECHANGE),player.on(dailymotion.events.VIDEO_TIMECHANGE,(function(e){ready&&(e.videoTime>=end?((0,_event_dispatcher.dispatchEvent)("iv:playerEnded"),player.pause()):!1===e.playerIsPlaying?(0,_event_dispatcher.dispatchEvent)("iv:playerPaused"):!0===e.playerIsPlaying&&(0,_event_dispatcher.dispatchEvent)("iv:playerPlaying"))})),player.on(dailymotion.events.VIDEO_PLAY,(function(){(0,_event_dispatcher.dispatchEvent)("iv:playerPlaying")})),player.on(dailymotion.events.VIDEO_PAUSE,(function(){(0,_event_dispatcher.dispatchEvent)("iv:playerPaused")})),player.on(dailymotion.events.VIDEO_END,(function(){(0,_event_dispatcher.dispatchEvent)("iv:playerEnded")})),player.on(dailymotion.events.PLAYER_ERROR,(function(e){window.console.log(e),(0,_event_dispatcher.dispatchEvent)("iv:playerError",{error:e})})),player.on(dailymotion.events.PLAYER_PLAYBACKSPEEDCHANGE,(function(e){(0,_event_dispatcher.dispatchEvent)("iv:playerRateChange",{rate:e.playerPlaybackSpeed})})),player.on(dailymotion.events.VIDEO_QUALITYCHANGE,(function(e){(0,_event_dispatcher.dispatchEvent)("iv:playerQualityChange",{quality:e.videoQuality})}))};customStart?(player.setMute(!0),player.play(),player.on(dailymotion.events.VIDEO_TIMECHANGE,(function(){(0,_jquery.default)("#start-screen").removeClass("bg-transparent"),1==ready&&player.setMute(!0),setTimeout((async()=>{player.seek(start),player.setMute(!1),ready||(await self.pause(),playerEvents(),ready=!0,(0,_event_dispatcher.dispatchEvent)("iv:playerReady"))}),1e3)}))):(playerEvents(),ready=!0,(0,_event_dispatcher.dispatchEvent)("iv:playerReady")),player.on(dailymotion.events.AD_START,(function(){(0,_jquery.default)(".video-block").css("background","transparent"),(0,_jquery.default)("#start-screen").addClass("bg-transparent"),(0,_jquery.default)("#annotation-canvas").removeClass("d-none")}))};if(window.dailymotion)window.dailymotion.createPlayer(node,dmOptions).then((function(pl){player=pl,dailymotionEvents(player),dailymotion=window.dailymotion})).catch((()=>{}));else{var tag=document.createElement("script");tag.src=showControls?"https://geo.dailymotion.com/libs/player/xsyje.js":"https://geo.dailymotion.com/libs/player/xsyj8.js";var firstScriptTag=document.getElementsByTagName("script")[0];firstScriptTag.parentNode.insertBefore(tag,firstScriptTag),window.dailymotion={onScriptLoaded:()=>{dailymotion=window.dailymotion,dailymotion.createPlayer(node,dmOptions).then((function(pl){player=pl,dailymotionEvents(player)})).catch((()=>{}))}}}}play(){player.play()}async pause(){await player.pause()}stop(starttime){player.seek(starttime),player.pause()}async seek(time){await player.seek(time),(0,_event_dispatcher.dispatchEvent)("iv:playerSeek",{time:time})}async getCurrentTime(){return(await player.getState()).videoTime}async getDuration(){return(await player.getState()).videoDuration}async isPaused(){return!(await player.getState()).playerIsPlaying}async isPlaying(){return(await player.getState()).playerIsPlaying}async isEnded(){return(await player.getState()).playerIsReplayScreen}async ratio(){const ratio=(await player.getState()).playerAspectRatio.split(":");return ratio[0]/ratio[1]}destroy(){player.destroy()}async getState(){return await player.getState()}setRate(rate){player.setPlaybackSpeed(rate)}mute(){player.setMute(!0)}unMute(){player.setMute(!1)}originalPlayer(){return player}setQuality(quality){player.setQuality(quality)}async getQualities(){let states=await this.getState();return{qualities:["default",...states.videoQualitiesList],qualitiesLabel:["Auto",...states.videoQualitiesList],currentQuality:"Auto"==states.videoQuality?"default":states.videoQuality}}setCaption(track){player.setSubtitles(track)}};return _exports.default=_default,_exports.default}));

//# sourceMappingURL=dailymotion.min.js.map