define("mod_interactivevideo/player/vimeo",["exports","core/event_dispatcher"],(function(_exports,_event_dispatcher){
/**
   * Vimeo Player class
   *
   * @module     mod_interactivevideo/player/vimeo
   * @copyright  2024 Sokunthearith Makara <sokunthearithmakara@gmail.com>
   * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
   */
let player;Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.default=void 0;var _default=class{constructor(url,start,end){let opts=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};const showControls=opts.showControls||!1,node=opts.node||"player";let VimeoPlayer;this.type="vimeo",this.start=start,this.frequency=.27,this.support={playbackrate:!0,quality:!0};this.videoId=/(?:https?:\/\/)?(?:www\.)?vimeo\.com\/(?:video\/)?([^/]+)/g.exec(url)[1];var posterUrl="https://vimeo.com/api/oembed.json?url=https%3A//vimeo.com/"+this.videoId;fetch(posterUrl).then((response=>response.json())).then((data=>{var poster=data.thumbnail_url;return poster=poster.replace(/_\d+x\d+/,"_720x405"),this.posterImage=poster,this.title=data.title,this.aspectratio=data.width/data.height,poster})).catch((()=>{}));let self=this;const option={url:url,width:1080,height:720,autoplay:!showControls,controls:showControls,loop:!1,muted:!0,playsinline:!0,background:!1,byline:!1,portrait:!1,title:!1,transparent:!1,responsive:!1,start_time:start,end_time:end,pip:!1,fullscreen:!1,watch_full_video:!1,keyboard:!1,dnt:!0};let ready=!1;const vimeoEvents=player=>{player.on("loaded",(async function(){let duration=await player.getDuration();end=end?Math.min(end,duration-.1):duration-.1,end=Number(end.toFixed(2)),self.end=end,self.duration=self.end-self.start,self.totaltime=Number((duration-.1).toFixed(2)),player.disableTextTrack();let tracks=await player.getTextTracks();tracks&&tracks.length>0&&(tracks=tracks.map((track=>({label:track.label,code:track.language})))),(0,_event_dispatcher.dispatchEvent)("iv:playerLoaded",{tracks:tracks,qualities:self.getQualities()}),showControls&&(ready=!0,(0,_event_dispatcher.dispatchEvent)("iv:playerReady"))})),showControls||player.on("play",(async function(){ready||(await player.pause(),player.setCurrentTime(start),player.setVolume(1),ready=!0,(0,_event_dispatcher.dispatchEvent)("iv:playerReady"))})),player.on("timeupdate",(async function(){if(!ready)return;let isEnded=await player.getEnded(),currentTime=await player.getCurrentTime();isEnded||end&&currentTime>=end?((0,_event_dispatcher.dispatchEvent)("iv:playerEnded"),player.pause()):await player.getPaused()?(0,_event_dispatcher.dispatchEvent)("iv:playerPaused"):(0,_event_dispatcher.dispatchEvent)("iv:playerPlaying")})),player.on("seeked",(function(e){ready&&(0,_event_dispatcher.dispatchEvent)("iv:playerSeek",{time:e.seconds})})),player.on("playbackratechange",(function(e){ready&&(0,_event_dispatcher.dispatchEvent)("iv:playerRateChange",{rate:e.playbackRate})})),player.on("bufferstart",(function(){ready&&(0,_event_dispatcher.dispatchEvent)("iv:playerPaused")})),player.on("bufferend",(function(){ready&&(0,_event_dispatcher.dispatchEvent)("iv:playerPlaying")})),player.on("ended",(function(){ready&&(0,_event_dispatcher.dispatchEvent)("iv:playerEnded")})),player.on("qualitychange",(function(e){ready&&(0,_event_dispatcher.dispatchEvent)("iv:playerQualityChange",{quality:e.quality})}))};VimeoPlayer?(player=new VimeoPlayer(node,option),vimeoEvents(player)):require(["https://player.vimeo.com/api/player.js"],(function(Player){VimeoPlayer=Player,player=new Player(node,option),vimeoEvents(player)}))}play(){player.play()}async pause(){await player.pause()}stop(starttime){player.setCurrentTime(starttime),player.pause()}async seek(time){return time<0&&(time=0),await player.setCurrentTime(time),time}async getCurrentTime(){return player.getCurrentTime()}async getDuration(){return await player.getDuration()}async isPaused(){return await player.getPaused()}async isPlaying(){return!await player.getPaused()}async isEnded(){return await player.getEnded()}async ratio(){return await player.getVideoWidth()/await player.getVideoHeight()}destroy(){player?player.destroy():window.console.error("Player is not initialized.")}async getState(){return await player.getPaused()?"paused":"playing"}setRate(rate){player.setPlaybackRate(rate)}mute(){player.setVolume(0)}unMute(){player.setVolume(1)}setQuality(quality){return player.setQuality(quality),quality}async getQualities(){let qualities=await player.getQualities();return{qualities:qualities.map((x=>x.id)),qualitiesLabel:qualities.map((x=>x.label)),currentQuality:qualities.find((x=>x.active)).id}}setCaption(track){""!=track?player.enableTextTrack(track):player.disableTextTrack()}originalPlayer(){return player}};return _exports.default=_default,_exports.default}));

//# sourceMappingURL=vimeo.min.js.map